summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-07-25 14:30:26 +0300
committerMart Raudsepp <leio@gentoo.org>2018-07-25 19:46:56 +0300
commitcd3f982c968645c7a4ffd83cd1abdd708d8550e8 (patch)
treeec61a80409b7b8ef8df8c6ed10f91b8dbf50a3c5 /app-accessibility
parentsys-apps/baselayout: 2.6-r1 bump for 17.1 profiles (diff)
downloadgentoo-cd3f982c968645c7a4ffd83cd1abdd708d8550e8.tar.gz
gentoo-cd3f982c968645c7a4ffd83cd1abdd708d8550e8.tar.bz2
gentoo-cd3f982c968645c7a4ffd83cd1abdd708d8550e8.zip
app-accessibility/speech-dispatcher: remove old
Package-Manager: Portage-2.3.43, Repoman-2.3.10
Diffstat (limited to 'app-accessibility')
-rw-r--r--app-accessibility/speech-dispatcher/Manifest1
-rw-r--r--app-accessibility/speech-dispatcher/speech-dispatcher-0.8.3.ebuild111
2 files changed, 0 insertions, 112 deletions
diff --git a/app-accessibility/speech-dispatcher/Manifest b/app-accessibility/speech-dispatcher/Manifest
index 46475c1ce56..ace56a5aa3e 100644
--- a/app-accessibility/speech-dispatcher/Manifest
+++ b/app-accessibility/speech-dispatcher/Manifest
@@ -1,3 +1,2 @@
DIST speech-dispatcher-0.8.1.tar.gz 1309969 BLAKE2B 225a7b6a134cf0c82b1e08f961bad87a509ae7b4a9948c1e548c84a325b86b70ee66cd52dabd560f6640682385ea826fa4e67ec762a3da223a14303ddfdae5c2 SHA512 35f1ae547001a45d7945406ae5672829ff9ab6ac3f0cccb9eb3670dd92888a63c7cc4270ee90b5a166e6788afe3b117b5c3ef62c41a9df9f9af94dc4e0948fe8
-DIST speech-dispatcher-0.8.3.tar.gz 1292321 BLAKE2B a9a69734b9aa3c38041ea2872fa872e91d0e464714b71852266d5010677accee84a656e1b3661370b5e0047f0f0051e61dc5e8152185146b3779f59117bf7670 SHA512 48eaa1fb27a14ad6c6a1f214044fbddde85ff07e636355e75f4f3ac1e46cea0cbbbd2cb9ce01ce4b9cb27d5395d840bd38afd2c65ec0fabcc8787483ae7a7b67
DIST speech-dispatcher-0.8.7.tar.gz 1333677 BLAKE2B 0b08f1a1228fe1240e14b3d52913f8fa64a1f2ee9b563294b49ea8d3e5cfd3041aa5572ec72354b360dabd2d263deb79e418b95b6174a5b89ee541e9fd23c7e2 SHA512 0e7af02e8521aa8d397ea4d0329f9a8d56970beed645456dfedc738ececd2ccd8ecfdf66e92ae852878a473ba991175e1d4dc2b8b0148c958163682b49678375
diff --git a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.3.ebuild b/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.3.ebuild
deleted file mode 100644
index 2c177405d33..00000000000
--- a/app-accessibility/speech-dispatcher/speech-dispatcher-0.8.3.ebuild
+++ /dev/null
@@ -1,111 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-PYTHON_COMPAT=( python3_4 python3_5 )
-
-inherit eutils python-r1
-
-DESCRIPTION="Speech synthesis interface"
-HOMEPAGE="http://www.freebsoft.org/speechd"
-SRC_URI="http://www.freebsoft.org/pub/projects/speechd/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="alsa ao +espeak flite nas pulseaudio python static-libs"
-
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-COMMON_DEPEND="python? ( ${PYTHON_DEPS} )
- >=dev-libs/dotconf-1.3
- >=dev-libs/glib-2.28:2
- >=media-libs/libsndfile-1.0.2
- alsa? ( media-libs/alsa-lib )
- ao? ( media-libs/libao )
- espeak? ( app-accessibility/espeak )
- flite? ( app-accessibility/flite )
- nas? ( media-libs/nas )
- pulseaudio? ( media-sound/pulseaudio )"
-DEPEND="${COMMON_DEPEND}
- >=dev-util/intltool-0.40.0
- virtual/pkgconfig"
- RDEPEND="${COMMON_DEPEND}
- dev-python/pyxdg"
-
-src_configure() {
- # bug 573732
- export GIT_CEILING_DIRECTORIES="${WORKDIR}"
-
- local myeconfargs=(
- --disable-python
- $(use_enable static-libs static)
- $(use_with alsa)
- $(use_with ao libao)
- $(use_with espeak)
- $(use_with flite)
- $(use_with pulseaudio pulse)
- $(use_with nas)
- )
- econf ${myeconfargs[@]}
-}
-
-src_compile() {
- use python && python_copy_sources
-
- emake
-
- if use python; then
- building() {
- cd src/api/python || die
- emake \
- pyexecdir="$(python_get_sitedir)" \
- pythondir="$(python_get_sitedir)"
- }
- python_foreach_impl run_in_build_dir building
- fi
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- dodoc ANNOUNCE AUTHORS BUGS ChangeLog FAQ NEWS README*
-
- prune_libtool_files --all
-
- if use python; then
- installation() {
- cd src/api/python || die
- emake \
- DESTDIR="${D}" \
- pyexecdir="$(python_get_sitedir)" \
- pythondir="$(python_get_sitedir)" \
- install
- }
- python_foreach_impl run_in_build_dir installation
- python_replicate_script "${ED}"/usr/bin/spd-conf
- fi
-}
-
-pkg_postinst() {
- local editconfig="n"
- if ! use espeak; then
- ewarn "You have disabled espeak, which is speech-dispatcher's"
- ewarn "default speech synthesizer."
- ewarn
- editconfig="y"
- fi
- if ! use pulseaudio; then
- ewarn "You have disabled pulseaudio support."
- ewarn "pulseaudio is speech-dispatcher's default audio subsystem."
- ewarn
- editconfig="y"
- fi
- if [[ "${editconfig}" == "y" ]]; then
- ewarn "You must edit ${EROOT}etc/speech-dispatcher/speechd.conf"
- ewarn "and make sure the settings there match your system."
- ewarn
- fi
- elog "For festival support, you need to"
- elog "install app-accessibility/festival-freebsoft-utils."
-}